#!/usr/bin/perl -T
# $Id: login.cgi,v 1.4 2010/10/10 17:16:58 sofc Exp $
############################################################
############################################################
###                                                      ###
###   Originally designed by Karin Vels Hansen,          ###
###   Soeren Koch and Dorthe Lybye.                      ###
###                                                      ###
###   Impelemented by Soeren Koch                        ###
###                                                      ###
###   Copyright (C) by Soeren Koch January 2005          ###
###                                                      ###
############################################################
############################################################

use strict;
use warnings;
use ElchemeaHeader;
use Elchemea;
use ElchemeaCGI qw(:DEFAULT :html :cgi);
use CGI qw(:standard :netscape);
if (!defined(param('action')))
{
    print_header("Welcome to the Elchemea ".$Elchemea::VERSION);
    print '<center>';
    login();
    print '</center>';
    print_end();
}
else
{
    my $user = param('user');
    my $pass = param('pass');
    $pass = crypt($pass,$user);
    if (&ElchemeaCGI::login_ok($user,$pass))
    {
	&my_print_header_js("You are logged in to Elchemea",'enterdb()');
	### Javascript for proceeding to main.cgi ###
	print "<script lanuage=\"javascript\">\n";
	print "function enterdb() {\n";
	print "   document.enterdatabase.test.click();\n";
	print "}\n";
	print "</script>\n\n";
	print start_form(-action=>'main.cgi',-name=>'enterdatabase');
	&ElchemeaCGI::print_hidden($user,$pass);
	print center(submit(-name=>'test',-class=>'hidden',-value=>'Enter database'));
	print end_form;
	print_end();
    }
    else
    {
	not_auth();
    }
}

sub my_print_header_js()
#########################################################
### This function prints the header for the web pages ###
### in the case where cookies are to be set           ###
### but any second argument is used as the javascript ###
### function to be called after the page loads        ###
#########################################################
{
    my $t = shift;
    print header(-charset=>'utf-8');
    if (@_)
    {
        my $script = shift;
        print start_html(-title=>'Elchemea',-style=>{src=>'/elchemea/standard.css',src=>'/elchemea/Elchemea.css'},-onLoad=>$script);
    }
    else
    {
        print start_html(-title=>'Elchemea',-style=>{src=>'/elchemea/standard.css',src=>'/elchemea/Elchemea.css'});
    }
    print h1({-class=>'C'},$t);
}
